package com.bocloud.cmp.provider.security;

import com.bocloud.cmp.model.FirewallModel;
import com.bocloud.cmp.model.FirewallPolicyModel;
import com.bocloud.cmp.model.FirewallRuleModel;
import com.bocloud.cmp.model.sangfor.SangforFirewallRuleModel;
import com.bocloud.cmp.params.Sangfor.SangforFireWallParams;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface FirewallProvider extends SuperProvider {
    default BocloudResult list(){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult create(FirewallModel firewall){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult createV68(SangforFireWallParams firewall){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult updateV68(SangforFireWallParams firewall){
        return new BocloudResult(false, "尚未实现");
    }


    default BocloudResult remove(String firewallId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult detail(String firewallId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult update(FirewallModel firewall){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult relevanceRouter(FirewallModel firewall){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult listPolicy(){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult createPolicy(FirewallPolicyModel policyModel){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult insertRule(String policyId, String ruleId, String type, String referRuleId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult removePolicy(String policyId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult removeRule(String policyId, String ruleId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult updatePolicy(FirewallPolicyModel policyModel){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult detailPolicy(String policyId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult listRule(){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult createRule(FirewallRuleModel ruleModel){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult removeRule(String ruleId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult updateRule(FirewallRuleModel ruleModel){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult detailRule(String ruleId){
        return new BocloudResult(false, "尚未实现");
    }
}
